@import url("./header.css");
@import url("./footer.css");

.main {
  padding-left: 7%;
  font-size: 14px;
}

.breadcrumb {
  list-style: none;
  padding: 0;
  margin: 0;
  scrollbar-width: none;
  /* Hide scrollbar in Firefox */

}

.breadcrumb-item {
  display: inline-block;
  margin-right: 0px;
}

.breadcrumb-item::after {
  content: " >";
  color: #333;
}

.breadcrumb-item::before {
  content: "" !important;
}

.breadcrumb-item:last-child::after {
  content: "";
}

.breadcrumb::-webkit-scrollbar,
#expnadDescription::-webkit-scrollbar,#expnadSmDescription::-webkit-scrollbar {
  display: none !important;
}

.allContainer {
  background-color: #e9eef6;
}

::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  border-radius: 10px;
  width: 5px;
  background-color: #f5f5f5;
}

.accordion {
  overflow-anchor: none;
}

.accordion-button:not(.collapsed) {
  color: black;
  background-color: #00cbff;
  box-shadow: none;
}

.accordion-button {
  font-size: 16px;
  font-weight: 400;
  line-height: 25px;
  font-style: normal;
  text-align: left;
  color: #1c1212;
  background-color: #edf2fb;
}

.faqContainer {
  background-color: white;
  border-radius: 30px;
}

.headingFaq {
  font-size: 20px;
}

.accordion-body {
  background-color: #edf2fb;
}

.accordion-button:focus {
  box-shadow: none;
}

/* tabs */
#material-tab,
#subproducts-tab {
  width: 100%;
  text-align: start;
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
  background: #ffffff;
}

#tabMain .nav-item {
  width: 10%;
  padding: 0px !important;
  margin: 0px !important;
}

#tabcontainer {
  background-color: #e9eef6;
  margin: 0;
  padding: 0;
}

.materialbox {
  /* width: 258px; */
  min-height: 54px;
  height: 100%;
  border-top-left-radius: 25px;
  border-bottom-right-radius: 25px;
  border: 0.2px solid #98e7fb;
  text-align: center;
  background: #ffffff;
  font-size: 16px;
  font-weight: 500;
  font-style: normal;
  text-align: center;
  color: #1c1212;
  padding: 0 5%;
}

.materialbox:hover {
  background: #98e7fb;
  cursor: pointer;
}

#materialcontainer {
  background-color: #e9eef6;
}

.materialcontent {
  font-size: 16px;
  font-weight: 400;
  font-style: normal;
  text-align: center;
  color: #1c1212;
}

.imageContainer {
  height: 200px;
  position: relative;
  border-top-left-radius: 25px;
  border-bottom-right-radius: 30px;
}

.productbox {
  width: 100%;
  min-height: 54px;
  border-top-left-radius: 25px;
  border-bottom-right-radius: 25px;
  text-align: center;
  background: #98e7fb;
  font-size: 16px;
  font-weight: 500;
  font-style: normal;
  text-align: center;
  color: #1c1212;
  position: absolute;
  bottom: 0;
  padding: 0 5%;
}

.productbox:hover {
  background: #00ccff;
  cursor: pointer;
}

.productbox>.productcontent {
  font-size: 16px;
  font-weight: 500;
  font-style: normal;
  text-align: center;
  color: #1c1212;
}

.mpContainerHead {
  position: relative;
  padding: 40px 7%;
}

.imgContainer {
  /* width: 399px; */
  height: 180px;
  border-radius: 20px;
  /* overflow: hidden; */
  display: flex;
}

.imgContainer img {
  filter: invert(1);
  object-fit: contain;
}

.headingName {
  font-size: 36px;
  color: #ffffff;
}

.headingContent {
  font-size: 16px;
  color: #ffffff !important;
  width: 100%;
}

.headingContent * {
  color: #ffffff !important;
}

.headingSmContent {
  color: white !important;
  height: 300px !important;
  overflow-y: scroll !important;
  /* padding: 0 !important; */
}

.headingSmContent * {
  color: #ffffff !important;
}

.headingSmContentDisplay {
  display: none !important;
}

.headingTextWrap {
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.afterExpandHeadingContent {
  font-size: 16px;
  color: #ffffff;
  width: 100%;
  max-height: 500px;
  overflow-y: scroll;
}

.expandBtn {
  width: 55px;
  height: 55px;
}

.expandIcons {
  font-size: 40px;
  /* margin-bottom: 5px; */
  color: white;
}

.expandBtnContainer {
  position: absolute;
  left: 50%;
  bottom: calc(0% - 55px);
  transform: translate(-50%, -50%);
}

.bgColor {
  background-color: #011a45;
}

.tab-content {
  background-color: white !important;
  border: 0 !important;
}

.productBtn.active {
  background-color: white !important;
}

.productBtn {
  background-color: #d7e0f1 !important;
  color: black !important;
  background-color: #d7e0f1 !important;
}

.productBtnItem {
  border-radius: 10px 10px 0 0;
  width: 258px !important;
  height: 54px !important;
  text-align: left !important;
  border: 0 !important;
}

.sidePadding {
  padding: 15px 7%;
}

.tabpadding {
  padding: 20px 125px;
}

.materialContainer {
  padding: 30px 7%;
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  column-gap: 22px;
  row-gap: 22px;
}

.subProductContent {
  padding: 30px 7%;
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  column-gap: 22px;
  row-gap: 22px;
}

.ProductMap {
  border: 1px solid rgb(221, 221, 221);
  border-top-left-radius: 28px;
  border-bottom-right-radius: 28px;
}

.searchContent::-webkit-scrollbar,
.afterExpandHeadingContent::-webkit-scrollbar,
.breadcrumb::-webkit-scrollbar {
  display: none !important;
}

.btn:focus,
.form-control:focus {
  box-shadow: none;
}

@media screen and (min-width: 320px) and (max-width: 1024px) {
  .headingTextWrap {
    -webkit-line-clamp: 2;
  }

  .imgContainer {
    /* width: 163px; */
    height: 92px;
  }

  .expandBtn {
    width: 40px;
    height: 40px;
  }

  .headingName {
    font-size: 25px;
    line-height: 30px;
    color: #ffffff;
  }

  .expandBtnContainer {
    bottom: calc(0% - 40px);
  }

  .expandIcons {
    font-size: 30px;
    margin-bottom: 5px;
    color: white;
  }

  .headingSmContentDisplayBlock {
    display: block !important;
  }
}

@media screen and (min-width: 768px) {
  .headingSmContentDisplay {
    display: none !important;
  }

  .headingSmContentDisplayBlock {
    display: none !important;
  }
}

/* @media screen and (min-width: 768px) and (max-width: 1024px) {
  .imgContainer {
    height: 120px;
  }
} */

/* @media screen and (min-width: 320px) and (max-width: 767px) {
  .headingContent {
      display: none !important;
  }
} */

@media screen and (min-width: 320px) and (max-width: 506px) {
  .faqContainer {
    padding: 0 !important;
  }

  #materialmain {
    align-items: center;
    /* width: 163px; */
    margin-left: 0px;
    /* border: 1px solid red; */
    justify-content: center;
  }

  #tabMain .nav-item {
    width: 50%;
    padding: 0px !important;
    margin: 0px !important;
  }

  #productmain {
    width: 90%;
    padding: 0;
    align-items: center;
  }
}

@media screen and (min-width: 320px) and (max-width: 767px) {
  .productBtnItem {
    width: 50% !important;
    font-size: 14px !important;
  }

  .tabpadding {
    padding: 20px 24px !important;
  }

  #materialmain {
    align-items: center;
    width: 280px;
    margin-left: 60px;
  }

  #tabMain .nav-item {
    width: 50%;
    padding: 0px !important;
    margin: 0px !important;
  }

  .headingContent {
    display: none !important;
  }
}

@media (min-width: 768px) and (max-width: 1023px) {
  #tabMain .nav-item {
    width: 25%;
    padding: 0px !important;
    margin: 0px !important;
  }

  #productmain {
    width: 250px;
    text-wrap: wrap;
  }
  .imgContainer {
    /* width: 250px; */
    height: 120px;
  }
}

@media screen and (min-width: 1024px) {
  #tabMain .nav-item {
    width: 10%;
    padding: 0px !important;
    margin: 0px !important;
  }

  #materialmain {
    /* border: 1px solid red; */
    width: 300px;
  }

  #productmain {
    /* border:1px solid yellowgreen; */
    width: 300px;
  }
}

/* my media query */

@media (min-width: 1200px) and (max-width: 1440px) {
  .materialContainer {
    grid-template-columns: repeat(4, 1fr);
    column-gap: 20px;
    row-gap: 20px;
  }

  .subProductContent {
    grid-template-columns: repeat(4, 1fr);
    column-gap: 20px;
    row-gap: 20px;
  }
}

@media (min-width: 768px) and (max-width: 1199px) {
  .main {
    padding-left: 5%;
  }

  .mpContainerHead {
    padding: 30px 5%;
  }

  .sidePadding {
    padding: 15px 5%;
  }

  .expandBtn {
    width: 40px;
    height: 40px;
  }

  .expandBtnContainer {
    bottom: calc(0% - 40px);
  }

  .materialContainer {
    padding: 30px 5%;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 20px;
    row-gap: 20px;
  }

  .subProductContent {
    padding: 30px 5%;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 20px;
    row-gap: 20px;
  }
}

@media (min-width: 481px) and (max-width: 767px) {
  .main {
    padding-left: 5%;
  }

  .mpContainerHead {
    padding: 30px 5%;
  }

  .sidePadding {
    padding: 15px 5%;
  }

  .expandBtn {
    width: 40px;
    height: 40px;
  }

  .expandBtnContainer {
    bottom: calc(0% - 40px);
  }

  .materialContainer {
    padding: 30px 5%;
    grid-template-columns: repeat(2, 1fr);
    column-gap: 20px;
    row-gap: 20px;
  }

  .subProductContent {
    padding: 30px 5%;
    grid-template-columns: repeat(2, 1fr);
    column-gap: 20px;
    row-gap: 20px;
  }
}

@media (min-width: 320px) and (max-width: 480px) {
  .main {
    padding-left: 15px;
  }

  .headingName {
    font-size: 18px;
    color: #ffffff;
  }

  .mpContainerHead {
    padding: 10px 15px !important;
  }

  .sidePadding {
    padding: 10px 0px;
  }

  .expandBtn {
    width: 40px;
    height: 40px;
  }

  .expandBtnContainer {
    bottom: calc(0% - 40px);
  }

  .materialContainer {
    padding: 30px 15px;
    grid-template-columns: repeat(2, 1fr);
    column-gap: 20px;
    row-gap: 20px;
  }

  .materialbox {
    min-height: 42px;
  }

  .materialbox>.materialcontent {
    font-size: 12px;
  }

  .imageContainer {
    height: 165px;
  }

  .productbox {
    min-height: 42px;
  }

  .productbox>.productcontent {
    font-size: 12px;
  }

  .subProductContent {
    padding: 30px 5%;
    grid-template-columns: repeat(2, 1fr);
    column-gap: 20px;
    row-gap: 20px;
  }
}